Subject: Re: Horticulture magazine

From: "[email-masked]" <[email-masked]>
Date: Wed, 22 Mar 1995 06:11:02 GMT

On Mon, 20 Mar 95 09:28:30 MST, 
Cheryl Netter x3449  <[email-masked]> wrote:

>In article <[email-masked]> you write:
>>
>>By the way, I am American Rose Society member, an ARS consulting 
>>rosarian, a MN master gardener, and have joined the ranks of ARS rose 
>>judges - also a female.  In June of 1997 MN will host the national 
>>convention of the American Rose Society.  We hope to show-off both our 
>>beautiful roses and our terrific state.   
>>
>>lah
>>
>
>And this year the convention is in Denver, June 16. Are you
>going to come? :)   
>
>cheryl netter
>USDA zone 4 Golden Co.
>
>
>
>
>
>
Wish that I could, but my son is getting married about that time and I am 
doing the reception flowers.  I think that I probably will be a little too 
busy to take a trip.  Thanks for the thought!

lah
[email-masked]